/* $Id: mcimage.h,v 1.7 2004/09/20 07:44:54 michel Exp $ */
/* ============== */
/* prototypes for mcimage.c    */
/* ============== */

extern struct xvimage4D *allocimage4D(int ss);
extern struct xvimage *allocimage(char * name, int rs, int cs, int d, int t);
extern struct xvimage *allocheader(char * name, int rs, int cs, int d, int t);
extern int showheader(char * name);
extern void freeimage(struct xvimage *image);
extern struct xvimage *copyimage(struct xvimage *f);
extern int copy2image(struct xvimage *dest, struct xvimage *source);
extern int equalimages(struct xvimage *im1, struct xvimage *im2);
extern void list2image(struct xvimage * image, double *P, int n);
extern double * image2list(struct xvimage * image, int *n);
extern void list2image3D(struct xvimage * image, double *P, int n);
extern double * image2list3D(struct xvimage * image, int *n);


extern void writeimage(
  struct xvimage * image,
  char *filename
);

extern void writese(
  struct xvimage * image,
  char *filename,
  int x, int y, int z
);

extern void writelongimage(
  struct xvimage * image,
  char *filename
);

extern void writerawimage(
  struct xvimage * image,
  char *filename
);

extern void writeascimage(
  struct xvimage * image,
  char *filename
);

extern void printimage(
  struct xvimage * image
);

extern void writergbimage(
  struct xvimage * redimage,
  struct xvimage * greenimage,
  struct xvimage * blueimage,
  char *filename
);

extern struct xvimage * readimage(
  char *filename
);

extern struct xvimage * readheader(
  char *filename
);

extern struct xvimage * readse(char *filename, int *x, int *y, int*z);

extern struct xvimage * readlongimage(
  char *filename
);

extern int readrgbimage(
  char *filename,
  struct xvimage ** r,
  struct xvimage ** g,
  struct xvimage ** b
);

extern int readbmp(
  char *filename, 
  struct xvimage ** r, 
  struct xvimage ** g, 
  struct xvimage ** b
);

extern void writebmp(
  struct xvimage * redimage,
  struct xvimage * greenimage,
  struct xvimage * blueimage,
  char *filename
);

extern int readrgb(
  char *filename, 
  struct xvimage ** r, 
  struct xvimage ** g, 
  struct xvimage ** b
);

extern int convertgen(struct xvimage **f1, struct xvimage **f2);
extern int convertlong(struct xvimage **f1);
extern int convertfloat(struct xvimage **f1);
extern struct xvimage4D *readimage4D(char *prefix,  
				     int first,   
				     int last);     
extern struct xvimage4D *freeimage4D(struct xvimage4D  *im);
